Edit Task
curl --request POST \
--url https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/tasks/{taskId}/edit \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"priority": "Low",
"dueTime": "2026-08-06T17:00:00-04:00"
}
'import requests
url = "https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/tasks/{taskId}/edit"
payload = {
"priority": "Low",
"dueTime": "2026-08-06T17:00:00-04:00"
}
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({priority: 'Low', dueTime: '2026-08-06T17:00:00-04:00'})
};
fetch('https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/tasks/{taskId}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tasks
Edit Task
Update a task. Requires Manage Tasks for a task, or Manage Work Orders for a work order - the permission is matched to the kind of record.
POST
/
api
/
v1
/
ops
/
workspaces
/
{workspaceId}
/
tasks
/
{taskId}
/
edit
Edit Task
Path Parameters
UUID of the workspace. Must be your key's own workspace.
Example:
"cb363f7e-c52a-4478-911d-f6a6f791090e"
UUID of the task.
Example:
"232154c0-c239-48f8-b670-0e5d12fd64d0"
Body
application/json
Response
Task updated.
⌘I